#include <iostream>
#include <vector>
using namespace std;
void nm(vector<int> n, vector<int> m,int f)
{
    int a;
    for(int i=0;i<f;i++)
    {
        if(n[i]!=m[i])
        {
            cout<<-1<<endl;
        }
        else
        {
            for(int j=0;j<n[i];j++)
            {
                a=n[i]-(j+1);
                for(int c=0;c<n[i];c++)
                {
                    if(a!=0)
                    {
                        cout<<"0 ";
                        a--;
                    }
                    else cout<<"1 ";
                }
        cout<<endl;
            }
        }
    }
}
int main()
{
int f;
cin>>f;
vector<int>n(f);
vector<int>m(f);
for(int i=0;i<f;i++)cin>>n[i]>>m[i];
nm(n,m,f);
return 0;
}